rte_acl_field(3)

NAME
rte_acl_field

SYNOPSIS

#include <rte_acl.h>

  Data Fields

union rte_acl_field_types value
union rte_acl_field_types mask_range

Detailed Description

Defines the value of a field for a rule.

Definition at line 76 of file rte_acl.h.

Field Documentation

  union rte_acl_field_types value
a 1,2,4, or 8 byte value of the field.

Definition at line 77 of file rte_acl.h.

  union rte_acl_field_types mask_range
depending on field type: mask -> 1.2.3.4/32 value=0x1020304, mask_range=32, range -> 0 : 65535 value=0, mask_range=65535, bitmask -> 0x06/0xff value=6, mask_range=0xff.

Definition at line 79 of file rte_acl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.